Package org.wildfly.plugin.deployment.resource

## Class AddResourceMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.wildfly.plugin.common.AbstractServerConnection
    - - org.wildfly.plugin.deployment.resource.AddResourceMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="add-resource",
            threadSafe=true)
      public class AddResourceMojo
      extends AbstractServerConnection

  Adds a resource

  If `force` is set to `false` and the resource has already been added to the server, an error will occur and the operation will fail.

  Author:
    Stuart Douglas, James R. Perkins

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `GOAL` |

    - ### Fields inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `DEBUG_MESSAGE_NO_CREDS, DEBUG_MESSAGE_NO_ID, DEBUG_MESSAGE_NO_SERVER_SECTION, DEBUG_MESSAGE_NO_SETTINGS_FILE, DEBUG_MESSAGE_POM_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_CREDS, DEBUG_MESSAGE_SETTINGS_HAS_ID, timeout`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddResourceMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |
    `String` | `goal()` | The goal of the deployment.

    - ### Methods inherited from class org.wildfly.plugin.common.AbstractServerConnection

      `createClient, getClientConfiguration, getManagementHostName, getManagementPort`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GOAL

          public static final String GOAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AddResourceMojo

          public AddResourceMojo()

  - ### Method Detail

    - #### goal

          public String goal()

      Description copied from class: `AbstractServerConnection`
      The goal of the deployment.
      Specified by:
        `goal` in class `AbstractServerConnection`
      Returns:
        the goal of the deployment.

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`